Package com.google.android.exoplayer2.source

## Interface MediaSource.MediaSourceCaller

- All Known Implementing Classes:
    `ServerSideInsertedAdsMediaSource`
  Enclosing interface:
    MediaSource

      public static interface MediaSource.MediaSourceCaller

  A caller of media sources, which will be notified of source events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onSourceInfoRefreshed​(MediaSource source, Timeline timeline)` | Called when the `Timeline` has been refreshed.

- - ### Method Detail

    - #### onSourceInfoRefreshed

          void onSourceInfoRefreshed​(MediaSource source,
                                     Timeline timeline)

      Called when the `Timeline` has been refreshed.

      Called on the playback thread.

      Parameters:
        `source` - The `MediaSource` whose info has been refreshed.
        `timeline` - The source's timeline.